### Hierarchy

- AtomStyle
  - AtomListBoxStyle
    - AtomToggleButtonBarStyle

### Implements

- IAtomStyle

## Index

### Constructors

- constructor

### Properties

- name
- padding
- styleSheet

### Accessors

- item
- root
- selectedItem
- theme

### Methods

- build
- getBaseProperty
- toString

## Constructors

### constructor

- new AtomListBoxStyle(styleSheet: AtomStyleSheet, name: string): AtomListBoxStyle

- Inherited from AtomStyle.constructor

  - Defined in src/web/styles/AtomStyle.ts:26

  #### Parameters

  - ##### styleSheet: AtomStyleSheet

  - ##### name: string

  #### Returns AtomListBoxStyle

## Properties

### name

name: string

Implementation of IAtomStyle.name

Inherited from AtomStyle.name

- Defined in src/web/styles/AtomStyle.ts:30

### padding

padding: number

- Defined in src/web/styles/AtomListBoxStyle.ts:8

### styleSheet

styleSheet: AtomStyleSheet

Inherited from AtomStyle.styleSheet

- Defined in src/web/styles/AtomStyle.ts:29

## Accessors

### item

- get item(): IStyleDeclaration

- - Defined in src/web/styles/AtomListBoxStyle.ts:23

  #### Returns IStyleDeclaration

### root

- get root(): IStyleDeclaration

- Overrides AtomStyle.root

  - Defined in src/web/styles/AtomListBoxStyle.ts:10

  #### Returns IStyleDeclaration

### selectedItem

- get selectedItem(): IStyleDeclaration

- - Defined in src/web/styles/AtomListBoxStyle.ts:33

  #### Returns IStyleDeclaration

### theme

- get theme(): AtomTheme

- - Defined in src/web/styles/AtomListBoxStyle.ts:19

  #### Returns AtomTheme

## Methods

### build

- build(): void

- Inherited from AtomStyle.build

  - Defined in src/web/styles/AtomStyle.ts:50

  #### Returns void

### getBaseProperty

- getBaseProperty<T>(tc: IClassOf<T>, name: keyof this): any

- Inherited from AtomStyle.getBaseProperty

  - Defined in src/web/styles/AtomStyle.ts:35

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tc: IClassOf<T>

  - ##### name: keyof this

  #### Returns any

### toString

- toString(): string

- Inherited from AtomStyle.toString

  - Defined in src/web/styles/AtomStyle.ts:57

  #### Returns string

Generated using TypeDoc